Ruby: iseq_compile_data Struct Reference

Ruby 3.4.3p32 (2025-04-14 revision d0b7e5b6a04bde21ca483d20a1546b28b401c2d4)

Data Fields
iseq_compile_data Struct Reference

## Data Fields
const VALUE | err_info
const VALUE | catch_table_ary
struct iseq_label_data * | start_label
struct iseq_label_data * | end_label
struct iseq_label_data * | redo_label
const rb_iseq_t * | current_block
struct iseq_compile_data_ensure_node_stack * | ensure_node_stack
struct { |
struct iseq_compile_data_storage * storage_head |
struct iseq_compile_data_storage * storage_current |
} | node |
struct { |
struct iseq_compile_data_storage * storage_head |
struct iseq_compile_data_storage * storage_current |
} | insn |
bool | in_rescue
bool | in_masgn
int | loopval_popped
int | last_line
int | label_no
int | node_level
int | isolated_depth
unsigned int | ci_index
unsigned int | ic_index
const rb_compile_option_t * | option
struct rb_id_table * | ivar_cache_table
const struct rb_builtin_function * | builtin_function_table
const NODE * | root_node
bool | catch_except_p

## Detailed Description

Definition at line 102 of file iseq.h.

## Field Documentation

## ◆ builtin_function_table

const struct rb_builtin_function* iseq_compile_data::builtin_function_table

Definition at line 132 of file iseq.h.

## ◆ catch_except_p

bool iseq_compile_data::catch_except_p

Definition at line 134 of file iseq.h.

## ◆ catch_table_ary

const VALUE iseq_compile_data::catch_table_ary

Definition at line 105 of file iseq.h.

## ◆ ci_index

unsigned int iseq_compile_data::ci_index

Definition at line 128 of file iseq.h.

## ◆ current_block

const rb_iseq_t* iseq_compile_data::current_block

Definition at line 111 of file iseq.h.

## ◆ end_label

struct iseq_label_data* iseq_compile_data::end_label

Definition at line 109 of file iseq.h.

## ◆ ensure_node_stack

struct iseq_compile_data_ensure_node_stack* iseq_compile_data::ensure_node_stack

Definition at line 112 of file iseq.h.

## ◆ err_info

const VALUE iseq_compile_data::err_info

Definition at line 104 of file iseq.h.

## ◆ ic_index

unsigned int iseq_compile_data::ic_index

Definition at line 129 of file iseq.h.

## ◆ in_masgn

bool iseq_compile_data::in_masgn

Definition at line 122 of file iseq.h.

## ◆ in_rescue

bool iseq_compile_data::in_rescue

Definition at line 121 of file iseq.h.

## ◆ isolated_depth

int iseq_compile_data::isolated_depth

Definition at line 127 of file iseq.h.

## ◆ ivar_cache_table

struct rb_id_table* iseq_compile_data::ivar_cache_table

Definition at line 131 of file iseq.h.

## ◆ label_no

int iseq_compile_data::label_no

Definition at line 125 of file iseq.h.

## ◆ last_line

int iseq_compile_data::last_line

Definition at line 124 of file iseq.h.

## ◆ loopval_popped

int iseq_compile_data::loopval_popped

Definition at line 123 of file iseq.h.

## ◆ node_level

int iseq_compile_data::node_level

Definition at line 126 of file iseq.h.

## ◆ option

const rb_compile_option_t* iseq_compile_data::option

Definition at line 130 of file iseq.h.

## ◆ redo_label

struct iseq_label_data* iseq_compile_data::redo_label

Definition at line 110 of file iseq.h.

## ◆ root_node

const NODE* iseq_compile_data::root_node

Definition at line 133 of file iseq.h.

## ◆ start_label

struct iseq_label_data* iseq_compile_data::start_label

Definition at line 108 of file iseq.h.

## ◆ storage_current

struct iseq_compile_data_storage* iseq_compile_data::storage_current

Definition at line 115 of file iseq.h.

## ◆ storage_head

struct iseq_compile_data_storage* iseq_compile_data::storage_head

Definition at line 114 of file iseq.h.

The documentation for this struct was generated from the following file:

- iseq.h